%define		pkg	mkdirp
Summary:	Recursively mkdir, like "mkdir -p"
Name:		nodejs-%{pkg}
Version:	0.5.0
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/mkdirp/-/%{pkg}-%{version}.tgz
# Source0-md5:	40a2cd176ff059535828908e88f93f6a
URL:		https://github.com/substack/node-mkdirp
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-minimist = 0.0.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Recursively mkdir, like "mkdir -p".

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr index.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.markdown
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-mkdirp.git;a=log;h=master

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 7191509
- up to 0.5.0

* Sat Mar 09 2013 Aria <aredridel@nbtsc.org> ea8e42c
- v0.3.5

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 2b2744a
- Update to 0.3.4

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 575226a
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

